__test_and_clear_bit
Prev | Bit Operations | Next

## Name

__test_and_clear_bit — Clear a bit and return its old value

## Synopsis

`int __test_and_clear_bit (` | int | nr,
| volatile unsigned long * | addr`)`;

## Arguments

`nr`

  Bit to clear

`addr`

  Address to count from

## Description

This operation is non-atomic and can be reordered. If two examples of this operation race, one can appear to succeed but actually fail. You must protect multiple accesses with a lock.

Prev | Up | Next
test_and_clear_bit | Home | test_and_change_bit